﻿# The script of the game goes in this file.

# Declare characters used by this game. The color argument colorizes the
# name of the character.

define s = Character("Satan")
define r = Character("Rosemi")
define m = Character("Rosemama")
define u = Character("Unknown Person 1")
define v = Character("Unknown Person 2")

image black = "#000"
image white = "#fff"


transform midleft:
    xalign 0.2
    yalign 1.0

transform midright:
    xalign 0.8
    yalign 1.0

transform centerhug:
    xalign 0.45
    yalign 1.0

transform floating:
    easein 1.0 yoffset 25
    easein 1.0 yoffset 0
    repeat

transform bounce(y_offset_pixels=-20, speed=.1):
    easein speed yoffset y_offset_pixels
    easeout speed yoffset 0
    yoffset 0

transform nod(y_offset_pixels=20, speed=.1):
    easein speed yoffset y_offset_pixels
    easeout speed yoffset 0
    yoffset 0

label main_menu:
    return

#----------------------------------------------------------------------------------------------------
label start:

    default p1 = False
    default p2 = False
    default p3 = False
    $ _game_menu_screen = "preferences"
    $ quick_menu = False
    scene bg loading with fade
    
    "Loading Software{w=0.5}.{w=0.5}.{w=0.5}.{w=2}{nw}"

    "MOSNA VIDEO RESTORATION SOFTWARE v6.66{w=2}{nw}"
    scene bg home with fade
    "Authenticating User{w=0.5}.{w=0.5}.{w=0.5}.{w=2}{nw}"

    "Access Granted{w=1}{nw}\nWelcome Employee 2232{w=2}{nw}"

    "Loading Video Files{w=0.5}.{w=0.5}.{w=0.5}.{w=2}{nw}"
#----------------------------------------------------------------------------------------------------
    "lovelock_residence_recovery.rar loaded{w=2}\nClick to proceed"
    $ quick_menu = True
    label video_selection:
        scene bg home with fade

        menu:
            "Please select a restored video clip to view"
            "lovelock_residence_part_1":
                jump ll1
            "lovelock_residence_part_2":
                jump ll2
            "lovelock_residence_part_3":
                jump ll3
            "lovelock_residence_unknown" if p1 and p2 and p3:
                jump postattack
            "Exit Software":
                jump exit
#----------------------------------------------------------------------------------------------------
    label ll1:
        scene black with dissolve
        "Loading{w=0.5}.{w=0.5}.{w=0.5}.{w=2}{nw}"
        "Loading Complete{w=0.5}\nClick to Proceed..."
        "W-{w=0.3}{nw}"
        extend"WHAT IS GOING ON!?" with hpunch
        scene bg livingroom
        show wose 2 at left
        show rsmm 2 at right
        show rose at center
        with dissolve
        show rose at floating
        show rsmm 3 with dissolve
        show rsmm 3 at bounce
        m "Rosemi stay back!" with hpunch
        
        show wose 3 at bounce
        r "I-I can't... it's too late I-" with hpunch
        show rose 2 with dissolve
        scene white with dissolve
        "KYAAAAAAAAAGGHHHH!!!" with hpunch
        scene black with dissolve
        "SIGNAL LOST"
        $ p1 = True
        jump video_selection
#----------------------------------------------------------------------------------------------------
    label ll2:
        scene black with dissolve
        "Loading{w=0.5}.{w=0.5}.{w=0.5}.{w=2}{nw}"
        "Loading Complete{w=0.5}\nClick to Proceed..."
        "REESTABLISHING SIGNAL{w=0.5}.{w=0.5}.{w=0.5}.{w=2}{nw}"
        "M-{w=0.3}{nw}"
        extend"MAMA!!" with hpunch
        scene white with dissolve
        scene bg livingroom
        show rsm 3 at left
        with dissolve
        show rsm at bounce
        r "Mama look at me I'm so cute!!" with hpunch
        show rsm 1
        show rsmm 3 at right with easeinright
        m "What happened! Is everything okay!?" with hpunch
        m "Are you alright? You're not harmed are you?"
        show rsm 2 at bounce
        r "Don't worry about it! See I'm all right!" 
        show rsm 1
        show rsmm 5
        m "Oh..."
        show rsmm 4 
        m "Well that got me all panicked for nothing"
        show rsmm 5
        show rsm 5 at bounce
        r "WHAT!?" with hpunch
        r "Aren't you at least worried for your own daughter!?"
        r "I literally got enveloped in some bright light from a rose!"
        r "I thought it was gonna explode or something!" with hpunch
        r "I could have died you know!" with hpunch
        show rsm 6
        show rsmm 4
        m "I mean I was worried...{w=0.5} but you seem fine now."
        m "Speaking of which, where did that rose go?"
        show rsmm 5
        show rsm 2 at bounce
        r "You're looking at it!"
        show rsmm 4
        show rsm 1
        m "What?"
        m "What are you talking about-"
        show rsmm 2 at bounce
        m "Wait, when did you change clothes!?" with hpunch
        show rsm 3 at bounce
        r "It's the rose!"
        show rsm 1
        r "I'm not sure how but I feel like I absorbed it?"
        show rsmm 8 
        show rsm 3 at bounce
        r "The next thing I know, I'm in this cute dress!"
        show rsm 1
        show rsmm 4
        m "Uh huh..."
        m "But do you feel okay? Does anything hurt anywhere?"
        show rsmm 5
        show rsm 3 at bounce
        r "Nope! I feel great!"
        show rsm 1
        show rsmm 8
        m "Sigh...{w=0.5} and to think I almost got so worked up just now..."
        show rsm 6
        r "Hey, what do you mean by that?"
        show rsmm 5
        m "Nothing...{w=0.5} I need to go to the bathroom for a bit."
        m "I'll be back"
        hide rsmm
        show rsmmf 8 at right
        hide rsmmf 8 with easeoutright
        r "O-okay..."
        show rsm at center with ease

 
        ".................."
        scene black with dissolve
        "END OF CLIP"
        $ p2 = True
        jump video_selection
#----------------------------------------------------------------------------------------------------
    label ll3:
        scene black with dissolve
        "Loading{w=0.5}.{w=0.5}.{w=0.5}.{w=2}{nw}"
        "Loading Complete{w=0.5}\nClick to Proceed..."
        "REESTABLISHING SIGNAL{w=0.5}.{w=0.5}.{w=0.5}.{w=2}{nw}"
        "M-{w=0.3}{nw}"
        extend"MAMA!!" with hpunch
        scene white with dissolve
        scene bg livingroom
        show rsm 5 at left zorder 100
        with dissolve
        show rsmm 3 at right zorder 75 with easeinright
        show rsmm at bounce
        m "Rosemi!?{w=0.5}{nw}"
        extend " Are you okay?" with hpunch
        show rsmm 1
        show rsm 3 at bounce
        r "Mama look!" 
        show thorn at midleft zorder 50 with easeinbottom 
        show rsm 1
        show rsmm 3 at bounce
        m "What in the-"
        show rsmm 2 
        m "Is that a giant thorny vine?"
        show rsm 2 at bounce
        r "Yeah! I can create and control them!"
        r "Look!"
        hide thorn with moveoutright
        show thorn at offscreenleft zorder 50 with moveinright
        show rsm 3
        r "Nyooooooom!"
        show rsmm 6 at bounce
        show rsm 8 
        m "Stop that! What if you got yourself hurt!?" with hpunch
        show rsm 6 at bounce
        r "But mama... I-"
        show rsmm at bounce
        m "No buts young lady!" with hpunch
        show rsm 7
        r "..."
        show rsmm 8
        m "..."
        show rsmm 9
        m "Rosemi, look. I'm sorry for the outburst"
        m "I know you're a very special girl"
        show rsmm 8
        m "I just... this is all so new to me and I don't know how to deal with it"
        show rsmm 9
        m "Will this harm you, are there side effects? I really don't know"
        show rsmm 10
        m "But all I know is that I won't be able to forgive myself if you got yourself hurt from it..."
        show rsm 6 at bounce
        show rsmm 8
        r "Mama, it's okay. I understand..."
        r "Papa... he took the fall for me right?"
        show rsm 7
        r "All because I can't control my powers..."
        show rsmm 9
        m "Rosemi..."
        show rsmm 8
        show rsm 6 at bounce
        r "Mama look, I'm not a little girl anymore." 
        r "I understand why you were so strict with me."
        r "Because of me, all those people in the news died...{w=0.5}{nw}"
        show rsm 7
        extend " and papa could have been one of them"
        show rsmm 3 at bounce
        m "Rosemi, stop! You shouldn't say that!" with hpunch
        show rsmm 3 at bounce
        m "You saved your father!" with hpunch
        show rsmm 8
        show rsm 5 at bounce
        r "But people still died!"
        show rsm 7
        r "I saved papa, but at what cost..."
        show rsm 6
        r "Mama... what am I?"
        show rsmm 8
        m "Rosemi..."
        show rsmm 8 at midleft zorder 150 with move
        m "You're my daughter, that's what."
        show rsmm at nod
        m "You're just... special. But no matter what, you'll always be my daughter."
        show rsm 9 with dissolve
        r "I wish you told me about this earlier..."
        show rsmm 10
        m "I know dear, and I'm sorry..."
        show rsmm 8 at center with move
        show rsm 6 with dissolve 
        show rsm at bounce
        r "Was this why you showed me the rose?"
        show rsmm 9 at bounce
        m "N-no? I wasn't even aware that the rose could do that."
        show rsm 8 at bounce
        r "Huh?" 
        show rsm 6 
        show rsmm 8 
        m "Rosemi... the truth is, this rose is as old as you are."
        show rsm 8 at bounce
        r "What do you mean?"
        show rsmm 8
        m "Ah, it's... a long story."
        show rsm 6 
        show rsmm 9
        m "Will you sit down with me and listen? We have a lot to talk about..."
        r "..."
        show rsm 4
        show rsmm 8
        m "Rosemi..?"
        show rsm at bounce
        r "Someone's coming."
        show rsmm 2 zorder 100
        m "What? Who?"
        show rsm 5 zorder 150 at bounce
        r "MAMA! GET DOWN!"
        show rsm at centerhug with ease
        show rsmm 3 
        hide rsm
        hide rsmm
        with easeoutbottom
        scene black
        "*CRASHHHHHHH*" with hpunch
        scene black with dissolve
        "SIGNAL LOST"
        $ p3 = True
        jump video_selection
#----------------------------------------------------------------------------------------------------
    label postattack:
        scene black with dissolve
        "Loading{w=0.5}.{w=0.5}.{w=0.5}.{w=2}{nw}"
        "WARNING"
        "Contents of the footage takes place 15 minutes since the previous loss of signal"
        "The software has failed to reconstruct the lost 15 minutes"
        "Also, no video footage is available. Only deciphered audio will be displayed"
        "However, the audio is interpreted in an unknown language"
        "Proceed at your own discretion"        
        "Loading Complete{w=0.5}\nClick to Proceed..."
        $renpy.change_language("demonic")
        u "Master... are you alright?"
        v "Just a little scratch... argh!"
        u "Looks like the attempt to get the rose was more trouble than its worth"
        u "The girl really did a number on us using the rose."
        v "Of course..."
        v "This is Satan's legacy we're talking about."
        v "He was the most cunning of all of us Demon Lords."
        v "Surely it was never going to be a walk in the park."
        v "However, I didn't expect it to fall in a hands of some girl who could manipulate fire."
        u "My master, if my knowledge is correct, she is the one that set Diamond City ablaze last time."
        v "Is she?"
        v "She is the one who burnt all of our footsoldiers to a crisp?"
        u "If MOSNA's information is to be believed, then yes."
        v "Interesting. A pyromancer girl... The mortal world sure is filled with many curiosities."
        v "No wonder Satan had so much interest in this place."
        v "Anyway, where has the girl run off to?"
        u "She escaped... and took the lady along with her"
        v "The girl doesn't know what she has gotten herself into"
        u "Can't you find her the same way you felt the presence of the rose?"
        v "I believe I felt it's presence because it surfaced and activated for the first time."
        v "I don't think I can find it again, not in this form atleast."
        u "Then what shall we do Master?"
        v "I waited 2 long decades for this... I won't let this opportunity slip by."
        v "We will accelerate our plans. Contact our spy in MOSNA."
        v "I'll make her come to me for sure..."
        $renpy.change_language("default")
        "...................."
        "SIGNAL LOST"
        jump video_selection
#----------------------------------------------------------------------------------------------------
    label exit:
        "Exiting Program..."
        "Goodbye"
        $ renpy.quit()
    # This ends the game.
    return

